=== lib/libalias/modules/Makefile ===
# $FreeBSD$

.include "${.CURDIR}/../../../sys/modules/libalias/modules/modules.inc"

SUBDIR=	${MODULES}

.include <bsd.subdir.mk>
