=== lib/libalias/modules/dummy/Makefile ===
# $FreeBSD$

NAME=	dummy
SRCS=	alias_dummy.c

.include <bsd.lib.mk>
