=== lib/libalias/modules/irc/Makefile ===
# $FreeBSD$

NAME=	irc
SRCS=	alias_irc.c

.include <bsd.lib.mk>
