=== lib/libalias/modules/pptp/Makefile ===
# $FreeBSD$

NAME=	pptp
SRCS=	alias_pptp.c

.include <bsd.lib.mk>
