=== lib/libalias/modules/skinny/Makefile ===
# $FreeBSD$

NAME=	skinny
SRCS=	alias_skinny.c

.include <bsd.lib.mk>
