=== debian/changelog ===
freebsd-libs (10.3~svn296373-8) unstable; urgency=medium

  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 07 May 2016 17:39:48 +0100

freebsd-libs (10.3~svn296373-7) experimental; urgency=medium

  * Mark kinfo_* symbols as kfreebsd-specific

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 16:51:19 +0100

freebsd-libs (10.3~svn296373-6) experimental; urgency=medium

  * Fix FTBFS on !kfreebsd: installing sbuf.h in libsbuf-dev is not
    kfreebsd-specific
  * Now using debhelper compat v9
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 12:23:46 +0100

freebsd-libs (10.3~svn296373-5) experimental; urgency=medium

  * Build kinfo_getvmobject.c only on kfreebsd host architecture
  * Also build kinfo_getvmmap.c (Closes: #823385) and the rest of
    kinfo_* functions, on kfreebsd only

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 10:36:46 +0100

freebsd-libs (10.3~svn296373-4) experimental; urgency=medium

  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Enable kinfo_getvmobject.c in libutil-freebsd 
  * Multi-archify libusb{2,3-dev}
  * Declare a versioned Provides: libusb-1.0-0-dev (= 0.1.12)
    in libusb2-dev

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:35:30 +0100

freebsd-libs (10.3~svn296373-3) experimental; urgency=medium

  * Add missing patch hunk
      - subr_prf.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 06 Mar 2016 00:22:15 +0000

freebsd-libs (10.3~svn296373-2) experimental; urgency=medium

  * Avoid including kernel headers on non-kfreebsd arches,
    sys/ctype.h and machine/stdarg.h in sys/kern/subr_prf.c
      - subr_prf.diff
  * In fparseln, replace fgetln(3) with getline(3) (Closes: #811238)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 20:17:57 +0000

freebsd-libs (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Make get-orig-source tarball reproducible
  * Refresh patches:
      - 03_libsbuf.diff
      - makefiles.diff
      - pty_decls.diff
  * Check out new upstream source file:
      - sys/kern/subr_prf.c
  * Change source tarball compression algorithm to XZ
  * Actually use the proper build architecture compiler
    (thanks, Helmut Grohne!)
  * Pick upstream SVN r267110, for libusb-1.0 compatibility library to
    report version as 1.0.13 (Closes: #758405)
      - libusb_reported_version.diff
  * Add libusb_set_auto_detach_kernel_driver stub (Closes: #816031)
      - libusb_set_auto_detach_kernel_driver.diff
  * Add -lutil-freebsd and -lbsd to lib/libutil/tests/Makefile LDFLAGS
      - makefiles.diff (Closes: #811238)
  * Build-Depend on kfreebsd-kernel-headers >= 10.3 for cam/scsi/
  * Build-Depend on freebsd-mk >= 10.3 for *.test.mk (Closes: #749327)
  * Don't yet build WITH_TESTS=yes
  * Set Debian-specific /usr/lib/pkgconfig path
      - pkgconfig_dir.diff
  * Record new exported symbols
  * Add myself to Uploaders

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 01:12:41 +0000
